<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

use Predial\TipoArea;

class TipoAreaController extends Controller{

    public $path = "tipoArea";

    public function index(){
        if(!empty(session()->get('usuario'))){
            $data = TipoArea::all();
            return view($this->path.".index")->with('data', $data);
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function create(){
        if(!empty(session()->get('usuario'))){
            return view($this->path.".create");
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function store(Request $request){
        try {
            $new = new TipoArea();
            $new->timestamps = false;
            $new->nombre = $request->txtNombre;
            $new->save();

            flash()->overlay('Información guardada correctamente', 'Información');

            return redirect('ListarTipoArea');
        } catch (Exception $e) {
            return "Error Fatal".$e->getMessage();
        }
    }

    public function show($id_unico){
        if(!empty(session()->get('usuario'))){
            $id   = decrypt($id_unico);
            $data = TipoArea::find($id);
            return view($this->path.'.edit')->with('data', $data);
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function edit(Request $request){
        try {
            $upd = TipoArea::findOrFail($request->id_unico);
            $upd->timestamps = false;
            $upd->nombre     = $request->txtNombre;
            $upd->save();

            flash()->overlay('Información modificada correctamente', 'Información');

            return redirect('ListarTipoArea');
        } catch (Exception $e) {
            return "Error Fatal".$e->getMessage();
        }
    }

    public function destroy($id_unico){
        try {
            $id  = decrypt($id_unico);
            $del = TipoArea::findOrFail($id);
            $del->delete();

            flash()->overlay('Información eliminada correctamente', 'Información');

            return redirect('ListarTipoArea');
        } catch (Exception $e) {
            return "Fatal error = ".$e->getMessage();
        }
    }
}
